-- $Id: skills.lua 2835 2017-04-11 00:13:59Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2015-2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

-- Thanks to Crim, the Red Thunder for inspiration on many of these.
-- <http://forums.te4.org/viewtopic.php?p=204077#p204077>

newAchievement {
  id = 'COMBAT_50',
  name = [[Sometimes Ya Gotta Fight]],
  show = 'full',
  desc_undone = [[You don't have to hit first, as long as you hit last.]],
  desc = [[Raised your Combat skill to level 50.]],
}

newAchievement {
  id = 'WEAPONMASTERY_50',
  name = [[Master of Weapons]],
  show = 'full',
  desc_undone = [[Whatever your weapon of choice, hit them over the head with it enough and they'll die eventually.]],
  desc = [[Raised your Weaponmastery skill to level 50.]],
}

newAchievement {
  id = 'SWORD_MASTERY_50',
  name = [[The Sword is an Extension of Your Arm]],
  show = 'full',
  desc_undone = [[Always use Bonetti's Defense on rocky terrain, unless your opponent has studied their Agrippa.]],
  desc = [[Raised your Sword-mastery skill to level 50.]],
}

newAchievement {
  id = 'CRITICAL_HITS_50',
  name = [[Strike to the Heart]],
  show = 'full',
  desc_undone = [[It's all about knowing exactly where to hit to do the most damage.]],
  desc = [[Raised your Critical-hits skill to level 50.]],
}

newAchievement {
  id = 'AXE_MASTERY_50',
  name = [[Baruk Khazâd!]],
  show = 'full',
  desc_undone = [[You don't have to be a Dwarf to be deadly with an axe.]],
  desc = [[Raised your Axe-mastery skill to level 50.]],
}

newAchievement {
  id = 'HAFTED_MASTERY_50',
  name = [[With My Trusty Quarterstaff]],
  show = 'full',
  desc_undone = [[(Actually, it's a buck-and-a-quarter quarterstaff, but you don't have to tell them that.)]],
  desc = [[Raised your Hafted-mastery skill to level 50.]],
}

newAchievement {
  id = 'STUNNING_BLOWS_50',
  name = [[Blunt Force Trauma]],
  show = 'full',
  desc_undone = [[Hit your opponent hard enough and they'll be too stunned to fight back.]],
  desc = [[Raised your Stunning-blows skill to level 50.]],
}

newAchievement {
  id = 'POLEARM_MASTERY_50',
  name = [[Knife on a Long Stick]],
  show = 'full',
  desc_undone = [[They can't hit you if they can't get to you.]],
  desc = [[Raised your Polearm-mastery skill to level 50.]],
}

newAchievement {
  id = 'ARCHERY_50',
  name = [[Eagle Eye]],
  show = 'full',
  desc_undone = [[The truly skilled archer always hits their target.]],
  desc = [[Raised your Archery skill to level 50.]],
}

newAchievement {
  id = 'SLING_MASTERY_50',
  name = [[Farmer Maggot Would Be Proud]],
  show = 'full',
  desc_undone = [[If they try to steal your mushrooms, send `em off with a swift pebble to the backside.]],
  desc = [[Raised your Sling-mastery skill to level 50.]],
}

newAchievement {
  id = 'BOW_MASTERY_50',
  name = [[Bullseye]],
  show = 'full',
  desc_undone = [[The bows of the Elves sing out against the oncoming horde.]],
  desc = [[Raised your Bow-mastery skill to level 50.]],
}

newAchievement {
  id = 'CROSSBOW_MASTERY_50',
  name = [[Sniper]],
  show = 'full',
  desc_undone = [[Bows are showy; if you want real stopping power, you need a crossbow.]],
  desc = [[Raised your Crossbow-mastery skill to level 50.]],
}

newAchievement {
  id = 'BOOMERANG_MASTERY_50',
  name = [[Bëor Would Approve]],
  show = 'full',
  desc_undone = [[Properly thrown, a sturdy boomerang will always return to your hand.]],
  desc = [[Raised your Boomerang-mastery skill to level 50.]],
}

newAchievement {
  id = 'BAREHAND_COMBAT_50',
  name = [[These Hands Are Deadly Weapons]],
  show = 'full',
  desc_undone = [[You don't need a sword if you're skilled enough with your fists.]],
  desc = [[Raised your Barehand-combat skill to level 50.]],
}

newAchievement {
  id = 'BEARFORM_COMBAT_50',
  name = [[For the Honor of Beorn]],
  show = 'full',
  desc_undone = [[Fight with the ferocity of a bear!]],
  desc = [[Raised your Bearform-combat skill to level 50.]],
}

newAchievement {
  id = 'BOULDER_THROWING_50',
  name = [[Hit It With a Rock!]],
  show = 'full',
  desc_undone = [[Because nothing is quite as satisfying as dropping a giant bounder on your opponent's head.]],
  desc = [[Raised your Boulder-throwing skill to level 50.]],
}

newAchievement {
  id = 'ANTIMAGIC_50',
  name = [[Wizard's Bane]],
  show = 'full',
  desc_undone = [[Those filthy sorcerers' spells can't touch you if your will is strong enough.]],
  desc = [[Raised your Antimagic skill to level 50.]],
}

newAchievement {
  id = 'SNEAKINESS_50',
  name = [[A Sneaky Sneak]],
  show = 'full',
  desc_undone = [[Who says you have to fight fair?]],
  desc = [[Raised your Sneakiness skill to level 50.]],
}

newAchievement {
  id = 'STEALTH_50',
  name = [[Silent But Deadly]],
  show = 'full',
  desc_undone = [[They can't fight back if they never hear you coming.]],
  desc = [[Raised your Stealth skill to level 50.]],
}

newAchievement {
  id = 'DISARMING_50',
  name = [[Traps?  No Problem!]],
  show = 'full',
  desc_undone = [[They'll never catch you with their silly tripwires.]],
  desc = [[Raised your Disarming skill to level 50.]],
}

newAchievement {
  id = 'BACKSTAB_50',
  name = [[Sneak Attack!]],
  show = 'full',
  desc_undone = [[Sometimes, you've just gotta stab someone in the back.]],
  desc = [[Raised your Backstab skill to level 50.]],
}

newAchievement {
  id = 'STEALING_50',
  name = [[Like a Thief in the Night]],
  show = 'full',
  desc_undone = [[Just how big a haul can you get away with?]],
  desc = [[Raised your Stealing skill to level 50.]],
}

newAchievement {
  id = 'DODGING_50',
  name = [[You Can't Touch This]],
  show = 'full',
  desc_undone = [[Do the hammer dance!]],
  desc = [[Raised your Dodging skill to level 50.]],
}

newAchievement {
  id = 'MAGIC_50',
  name = [[Do You Believe in Magic?]],
  show = 'full',
  desc_undone = [[The Istari showed us the way; you need but follow it.]],
  desc = [[Raised your Magic skill to level 50.]],
}

newAchievement {
  id = 'MAGIC_DEVICE_50',
  name = [[Thy Rod and Thy Staff]],
  show = 'full',
  desc_undone = [[You don't need your own magical power if you have the right tools.]],
  desc = [[Raised your Magic-Device skill to level 50.]],
}

newAchievement {
  id = 'SPELL_POWER_50',
  name = [[Over-Clocked Magic]],
  show = 'full',
  desc_undone = [[Your spells go up to eleven.]],
  desc = [[Raised your Spell-power skill to level 50.]],
}

newAchievement {
  id = 'SORCERY_50',
  name = [[There Are Some Who Call Me... Tim]],
  show = 'full',
  desc_undone = [[What manner of man are you that can summon up fire without flint or tinder?]],
  desc = [[Raised your Sorcery skill to level 50.]],
}

newAchievement {
  id = 'MANA_50',
  name = [[Raw Power of the Ether]],
  show = 'full',
  desc_undone = [[Magic is deadliest in its purest form.]],
  desc = [[Raised your Mana skill to level 50.]],
}

newAchievement {
  id = 'GEOMANCY_50',
  name = [[Avatar of the Elements]],
  show = 'full',
  desc_undone = [[Earth, air, fire, water, you are master of all.]],
  desc = [[Raised your Geomancy skill to level 50.]],
}

newAchievement {
  id = 'FIRE_50',
  name = [[Everything Is Flammable]],
  show = 'full',
  desc_undone = [[If it isn't reduced to ash yet, you're not trying hard enough.]],
  desc = [[Raised your Fire skill to level 50.]],
}

newAchievement {
  id = 'WATER_50',
  name = [[Like a Fish in Water]],
  show = 'full',
  desc_undone = [[Water is patient.  Water can wait.  Water always wins.]],
  desc = [[Raised your Water skill to level 50.]],
}

newAchievement {
  id = 'AIR_50',
  name = [[The Wind Beneath My Wings]],
  show = 'full',
  desc_undone = [[You think that's air you're breathing?]],
  desc = [[Raised your Air skill to level 50.]],
}

newAchievement {
  id = 'EARTH_50',
  name = [[Solid As a Rock]],
  show = 'full',
  desc_undone = [[The might of the very earth is yours to command.]],
  desc = [[Raised your Earth skill to level 50.]],
}

newAchievement {
  id = 'META_50',
  name = [[I Was Meta Before It Was Cool]],
  show = 'full',
  desc_undone = [[My spells are so indie you haven't even heard of them.]],
  desc = [[Raised your Meta skill to level 50.]],
}

newAchievement {
  id = 'CONVEYANCE_50',
  name = [[Getting There From Here]],
  show = 'full',
  desc_undone = [[Eagles?  RohanKnights?  You've got `em all beat.]],
  desc = [[Raised your Conveyance skill to level 50.]],
}

newAchievement {
  id = 'DIVINATION_50',
  name = [[Seeker of Knowledge]],
  show = 'full',
  desc_undone = [[See all.  Know all.  Understand all.]],
  desc = [[Raised your Divination skill to level 50.]],
}

newAchievement {
  id = 'TEMPORAL_50',
  name = [[Timey Wimey]],
  show = 'full',
  desc_undone = [[It's all about knowing how to make use of the big ball of wibbly-wobbly... stuff.]],
  desc = [[Raised your Temporal skill to level 50.]],
}

newAchievement {
  id = 'MIND_50',
  name = [[All In Your Head]],
  show = 'full',
  desc_undone = [[The trick is to get some of it into your opponents' heads.]],
  desc = [[Raised your Mind skill to level 50.]],
}

newAchievement {
  id = 'NATURE_50',
  name = [[One With Nature]],
  show = 'full',
  desc_undone = [[Let your armies be the rocks and the trees and the birds in the sky.]],
  desc = [[Raised your Nature skill to level 50.]],
}

newAchievement {
  id = 'UDUN_50',
  name = [[High Priest of the Dark Lord]],
  show = 'full',
  desc_undone = [[Let the world burn in the service of Melkor.]],
  desc = [[Raised your Udun skill to level 50.]],
}

newAchievement {
  id = 'DEMONOLOGY_50',
  name = [[Personal Demons]],
  show = 'full',
  desc_undone = [[The infernal forces of the depths of Hell are yours to command— if you're strong enough...]],
  desc = [[Raised your Demonology skill to level 50.]],
}

newAchievement {
  id = 'NECROMANCY_50',
  name = [[Dancing with the Dead]],
  show = 'full',
  desc_undone = [[The mortal veil is no bar to your call.]],
  desc = [[Raised your Necromancy skill to level 50.]],
}

newAchievement {
  id = 'RUNECRAFT_50',
  name = [[Writer of Runes]],
  show = 'full',
  desc_undone = [[For those who know how to combine them, simple symbols can carry great power.]],
  desc = [[Raised your Runecraft skill to level 50.]],
}

newAchievement {
  id = 'THAUMATURGY_50',
  name = [[The Best Defense Is a Good Offense]],
  show = 'full',
  desc_undone = [[When tapped in its raw thaumaturgic form, magic is different for everyone.]],
  desc = [[Raised your Thaumaturgy skill to level 50.]],
}

newAchievement {
  id = 'ALCHEMY_50',
  name = [[Equivalent Exchange]],
  show = 'full',
  desc_undone = [[With the right ingredients, you can forge mighty tools.]],
  desc = [[Raised your Alchemy skill to level 50.]],
}

newAchievement {
  id = 'SPIRITUALITY_50',
  name = [[Pure of Spirit]],
  show = 'full',
  desc_undone = [[Your heart is pure and your spirit is strong.]],
  desc = [[Raised your Spirituality skill to level 50.]],
}

newAchievement {
  id = 'PRAYER_50',
  name = [[Holy Champion of the Valar]],
  show = 'full',
  desc_undone = [[If you are superlative in their service, they will lend their hand to your quest.]],
  desc = [[Raised your Prayer skill to level 50.]],
}

newAchievement {
  id = 'MINDCRAFT_50',
  name = [[Mind Over Matter]],
  show = 'full',
  desc_undone = [[Your mind is sharper and stronger than any sword.]],
  desc = [[Raised your Mindcraft skill to level 50.]],
}

newAchievement {
  id = 'MUSIC_50',
  name = [[Can You Hear the Music?]],
  show = 'full',
  desc_undone = [[Sing and the world will hear you — whether it wants to or not...]],
  desc = [[Raised your Music skill to level 50.]],
}

newAchievement {
  id = 'MONSTER_LORE_50',
  name = [[Beastmaster]],
  show = 'full',
  desc_undone = [[Know the ways of all the creatures of the wild.]],
  desc = [[Raised your Monster-lore skill to level 50.]],
}

newAchievement {
  id = 'SUMMONING_50',
  name = [[I Choose You!]],
  show = 'full',
  desc_undone = [[There is no beast you cannot turn to your bidding.]],
  desc = [[Raised your Summoning skill to level 50.]],
}

newAchievement {
  id = 'CORPSE_PRESERVATION_50',
  name = [[Taxidermist in Spirit]],
  show = 'full',
  desc_undone = [[The ancient Egyptians have nothing on you.]],
  desc = [[Raised your Corpse-preservation skill to level 50.]],
}

newAchievement {
  id = 'POSSESSION_50',
  name = [[Nine Tenths of the Law]],
  show = 'full',
  desc_undone = [[If I'm in it, it's not really "your" body, now is it?]],
  desc = [[Raised your Possession skill to level 50.]],
}

newAchievement {
  id = 'SYMBIOSIS_50',
  name = [[Codependence]],
  show = 'full',
  desc_undone = [[Ride on my flesh and together we will take on the world.]],
  desc = [[Raised your Symbiosis skill to level 50.]],
}

newAchievement {
  id = 'MIMICRY_50',
  name = [[The Sincerest Form of Flattery]],
  show = 'full',
  desc_undone = [[Anything you can do, I can do better!]],
  desc = [[Raised your Mimicry skill to level 50.]],
}
