-- $Id: items.lua 2835 2017-04-11 00:13:59Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

newAchievement {
  id = 'GOLD_100K',
  name = "Treasure Hoarder",
  show = "name",
  desc = [[Amassed 100000 gold pieces.]],
  can_gain = function(self, who)
    return who.gold >= 100000
  end,
}

newAchievement {
  id = 'GOLD_500K',
  name = [[Can't Take It With You]],
  show = "name",
  desc = [[Amassed 500000 gold pieces.]],
  can_gain = function(self, who)
    return who.gold >= 500000
  end,
}

newAchievement {
  id = 'GOLD_1M',
  name = [[Seriously, You'll Never Spend It All]],
  show = "name",
  desc = [[Amassed 1000000 gold pieces.]],
  can_gain = function(self, who)
    return who.gold >= 1000000
  end,
}
