-- $Id: kills.lua 2835 2017-04-11 00:13:59Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

newAchievement {
  id = 'KILL_1000',
  name = "Exterminator",
  show = "full",
  desc = [[Killed 1000 creatures.]],
  mode = "player",
  can_gain = function(self, who)
    self.nb = (self.nb or 0) + 1
    if self.nb >= 1000 then return true end
  end,
  track = function(self) return tstring{tostring(self.nb or 0)," / 1000"} end,
}

newAchievement {
  id = 'KILL_5000',
  name = "Great Exterminator",
  show = "full",
  desc = [[Killed 5000 creatures.]],
  mode = "player",
  can_gain = function(self, who)
    self.nb = (self.nb or 0) + 1
    if self.nb >= 5000 then return true end
  end,
  track = function(self) return tstring{tostring(self.nb or 0)," / 1000"} end,
}

newAchievement {
  id = 'KILL_10000',
  name = "Mighty Exterminator",
  show = "full",
  desc = [[Killed 10000 creatures.]],
  mode = "player",
  can_gain = function(self, who)
    self.nb = (self.nb or 0) + 1
    if self.nb >= 10000 then return true end
  end,
  track = function(self) return tstring{tostring(self.nb or 0)," / 1000"} end,
}
