-- $Id: traps.lua 2835 2017-04-11 00:13:59Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

load('/data/general/traps/store.lua')

newEntity {
  base = 'BASE_STORE',
  define_as = 'GONDOLIN_HOME',
  name = "Your home (née Dragons' Nest)",
  resolvers.store('GONDOLIN_HOME', 'home'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'TOWER_OF_THE_KING',
  name = "Tower of the King",
  resolvers.building_chat('placeholder', 'TOWER_OF_THE_KING'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'GONDOLIN_LIBRARY',
  name = "Library",
  resolvers.store('GONDOLIN_LIBRARY'),
  resolvers.building_chat('placeholder'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'THE_WHITE_TREE',
  name = "The White Tree",
  resolvers.store('THE_WHITE_TREE'),
  resolvers.building_chat('placeholder'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'CRAFTSMASTER',
  name = "Craftsmaster",
  resolvers.building_chat('placeholder', 'CRAFTSMASTER'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'EARTH_DOME_NATURE_',
  name = "Earth-Dome (Nature)",
  resolvers.building_chat('placeholder', 'EARTH_DOME_NATURE_'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'THE_SOOTHSAYER',
  name = "The Soothsayer",
  resolvers.store('THE_SOOTHSAYER'),
  resolvers.building_chat('placeholder'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'MINSTRELS_HAVEN',
  name = "Minstrels Haven",
  resolvers.building_chat('placeholder', 'MINSTRELS_HAVEN'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'STAR_DOME',
  name = "Star-Dome",
  resolvers.building_chat('placeholder', 'STAR_DOME'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'VALARIN_TEMPLE',
  name = "Valarin Temple",
  resolvers.building_chat('placeholder', 'VALARIN_TEMPLE'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'SEA_DOME',
  name = "Sea-Dome",
  resolvers.building_chat('placeholder', 'SEA_DOME'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'THE_GOLDEN_FLOWER',
  name = "The Golden Flower",
  resolvers.building_chat('placeholder', 'THE_GOLDEN_FLOWER'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'THE_FOUNTAIN',
  name = "The Fountain",
  resolvers.building_chat('placeholder', 'THE_FOUNTAIN'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'THUNDERLORDS_NEST',
  name = "Thunderlords' Nest",
  resolvers.building_chat('placeholder', 'THUNDERLORDS_NEST'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'MERCHANTS_GUILD',
  name = "Merchants Guild",
  resolvers.building_chat('placeholder', 'MERCHANTS_GUILD'),
}
