-- $Id: traps.lua 2835 2017-04-11 00:13:59Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

load('/data/general/traps/store.lua')

newEntity {
  base = 'BASE_STORE',
  define_as = 'KHAZAD_DUM_HOME',
  name = "Your home (née Pit of Evil)",
  resolvers.store('KHAZAD_DUM_HOME', 'home'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'FIGHTERS_HALL',
  name = "Fighters Hall",
  resolvers.building_chat('placeholder', 'FIGHTERS_HALL'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'PALADINS_GUILD',
  name = "Paladins Guild",
  resolvers.building_chat('placeholder', 'PALADINS_GUILD'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'INNER_TEMPLE',
  name = "Inner Temple",
  resolvers.building_chat('placeholder', 'INNER_TEMPLE'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'MINING_SUPPLY_STORE',
  name = "Mining Supply store",
  resolvers.store('MINING_SUPPLY_STORE'),
}
