-- $Id: grids.lua 2835 2017-04-11 00:13:59Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

load('/data/general/grids/all.lua')

newEntity {
  base = 'QUEST_ENTRANCE',
  define_as = 'ENTER_LOTHLORIEN_HOUSE_QUEST',
  change_zone = 'quest-lothlorien-wolves',
  change_level = 1,
  ok_change_level = function(self, who)
    local q_house = game.player:hasQuest('lothlorien-house')
    if q_house and q_house:isCompleted() then
      (require 'engine.ui.Dialog'):simplePopup('Quest: Wolves', "You have already cleared the wolves' den.  You should go tell Celeborn.")
      return false
    end
    return true
  end,
}
