-- $Id: traps.lua 2835 2017-04-11 00:13:59Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2017 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbunnies.org

load('/data/general/traps/store.lua')

newEntity {
  base = 'BASE_STORE',
  define_as = 'MINAS_ANOR_HOME',
  name = "Your home (née Haunted House)",
  resolvers.store('MINAS_ANOR_HOME', 'home'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'BEASTMASTER_SHANTY',
  name = "Beastmaster Shanty",
  resolvers.building_chat('placeholder', 'BEASTMASTER_SHANTY'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'THE_PRANCING_PONY',
  name = "The Prancing Pony",
  resolvers.store('THE_PRANCING_PONY'),
  resolvers.building_chat('prancing-pony'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'FIGHTERS_HALL',
  name = "Fighters Hall",
  resolvers.building_chat('placeholder', 'FIGHTERS_HALL'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'TOWER_OF_MAGERY',
  name = "Tower of Magery",
  resolvers.building_chat('placeholder', 'TOWER_OF_MAGERY'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'INNER_TEMPLE',
  name = "Innter Temple",
  resolvers.building_chat('placeholder', 'INNER_TEMPLE'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'PALADINS_GUILD',
  name = "Paladins Guild",
  resolvers.building_chat('placeholder', 'PALADINS_GUILD'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'RANGERS_GUILD',
  name = "Rangers Guild",
  resolvers.building_chat('placeholder', 'RANGERS_GUILD'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'THUNDERLORDS_NEST',
  name = "Thunderlords' Nest",
  resolvers.building_chat('placeholder', 'THUNDERLORDS_NEST'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'MINAS_ANOR_LIBRARY',
  name = "Library",
  resolvers.store('MINAS_ANOR_LIBRARY'),
  resolvers.building_chat('placeholder'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'CASTLE',
  name = "Castle",
  resolvers.building_chat('placeholder', 'CASTLE'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'CASINO',
  name = "Casino",
  resolvers.building_chat('placeholder', 'CASINO'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'INN',
  name = "Inn",
  resolvers.store('INN'),
  resolvers.building_chat('placeholder'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'MERCHANTS_GUILD',
  name = "Merchants Guild",
  resolvers.building_chat('placeholder', 'MERCHANTS_GUILD'),
}
